<mat-form-field [formGroup]="form" class="w-100" appearance="fill">
  <mat-label>{{title}}</mat-label>
  <input type="text"
         placeholder="Pick one"
         matInput
         [formControlName]="controlName"
         [matAutocomplete]="auto"
  >
  <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete" [displayWith]="formatter">
    <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
      {{ formatter(option) }}
    </mat-option>
  </mat-autocomplete>
</mat-form-field>
